WEBRADAR

Mac OS 10.9 MavericksにAnsibleをインストール

OSをMavericksにアップグレードして、Ansibleを新しくpipでインストールしようと思ったらエラーになった
error: command 'cc' failed with exit status 1
なにやら環境変数が通ってないみたい、install時にちゃんと指定してあげればどうにかインストールできました。
export CFLAGS=-Qunused-arguments
export CPPFLAGS=-Qunused-arguments

1.Pythonのバージョンを確認

python --version
Python 2.7.5

2.pipをインストール

sudo easy_install pip

3.Ansibleをインストール

sudo ARCHFLAGS=-Wno-error=unused-command-line-argument-hard-error-in-future pip install ansible

4.Ansibleを確認

ansible --version
ansible 1.5.4

どうにかインストールできました。
これでサーバー作り放題だぜ!